QT websockets

Everything about software tools, new software development and toolchains. For developers, mostly.

Moderators: marcelr, Toonz, TheHogNL, TerrorSource

Re: QT websockets

Postby TheHogNL » Tue May 05, 2020 9:43 am

oepi-loepi wrote:
TheHogNL wrote:From firmware 5.0.4 the original Toon resources also include libraries for QT5 websockets!

To use the libraries install them when having the VPN running with "opkg install libqt5websockets5" (I will probably add an option to the update-script to install this for you soon).


if i run opkg list-installed then libqt5websockets5 is not in the list and when i run "opkg install libqt5websockets5" it throws an error. Even when i open the VPN (in inittab and then init q)
Code: Select all
Installing libqt5websockets5 (5.11.2+git0+e71467cb56-r0) on root.
Downloading http://feed.hae.int/feeds/nxt/oe/angelica-1.7.0-master-kernel-4.9.88/cortexa9hf-vfp-neon/libqt5websockets5_5.11.2+git0+e71467cb56-r0_cortexa9hf-vfp-neon.ipk.
Collected errors:
* opkg_download: Failed to download http://feed.hae.int/feeds/nxt/oe/angelica-1.7.0-master-kernel-4.9.88/cortexa9hf-vfp-neon/libqt5websockets5_5.11.2+git0+e71467cb56-r0_cortexa9hf-vfp-neon.ipk: Couldn't connect to server.
* opkg_install_pkg: Failed to download libqt5websockets5. Perhaps you need to run 'opkg update'?


Do I do something wrong or would it be possible to post the .ipk package in the files section?


Run the update-rooted.sh with option -o and after that 'opkg update'
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1621
Joined: August 2017

Re: QT websockets

Postby oepi-loepi » Tue May 05, 2020 2:36 pm

Run the update-rooted.sh with option -o and after that 'opkg update'


Yes! This worked. It is now in the list. Allready puzzling here...
oepi-loepi
Member
Member
 
Posts: 72
Joined: February 2019

Re: QT websockets

Postby marcelr » Tue May 05, 2020 3:36 pm

Puzzling in the UK sense or the NL sense of the word?
marcelr
Global Moderator
Global Moderator
 
Posts: 1149
Joined: May 2012
Location: Ehv

Re: QT websockets

Postby oepi-loepi » Tue May 05, 2020 10:47 pm

marcelr wrote:Puzzling in the UK sense or the NL sense of the word?


Both ;)

I am working on a new version of the Onkyo (and Pioneer) controller based on a Wemos bridge between The Onkyo eISCP commands and the Toon via websockets. This because this will work faster and without the need for an external controller like Domoticz. (as you might know the Wemos is a 2 dollar piece of small .... which can do the job).

Now trying to get it all working together: websockets, smart AP, eISCP over TCP and a webserver so you can also have acces through a browser.....

Allmost done..
oepi-loepi
Member
Member
 
Posts: 72
Joined: February 2019

Re: QT websockets

Postby HansS » Tue Sep 08, 2020 2:22 pm

TheHogNL wrote:From firmware 5.0.4 the original Toon resources also include libraries for QT5 websockets!

To use the libraries install them when having the VPN running with "opkg install libqt5websockets5" (I will probably add an option to the update-script to install this for you soon).



Hi. Has the update script been updated to install QT web sockets?
HansS
Starting Member
Starting Member
 
Posts: 26
Joined: February 2018

Re: QT websockets

Postby TheHogNL » Fri Sep 11, 2020 8:55 am

HansS wrote:
TheHogNL wrote:From firmware 5.0.4 the original Toon resources also include libraries for QT5 websockets!

To use the libraries install them when having the VPN running with "opkg install libqt5websockets5" (I will probably add an option to the update-script to install this for you soon).



Hi. Has the update script been updated to install QT web sockets?


From update script version 4.27 (today) it will install qt5 websockets during upgrade. So only a -f (fix files only) does not install it because it needs VPN to be up for the install. As fix files should work also for Toon's who don't have a VPN key anymore I can only install the websockets during an upgrade.

Manually installing can be done with 'sh upgrade-rooted.sh -o' to enable the VPN (if you have a valid VPN key) and 'opkg update ; opkg install libqt5websockets5'
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1621
Joined: August 2017

Previous

Return to Toon software development

Who is online

Users browsing this forum: No registered users and 1 guest